Skip to main content
GET
Get address payments

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Query Parameters

address
string
required

Address to search

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

network
string
default:address

Network of Address

groupBy
string
default:address

"address" mode or "entity" mode

receiver
string

Another address involved in the transaction

receiverNetwork
string

Network of Another address involved in the transaction

startTime
string

Start time

Example:

"2024-01-01T00:00:00.000Z"

endTime
string

End time

Example:

"2024-01-31T23:59:59.999Z"

msgType
string

msg types separated by comma

limit
number
default:50

Number of items to return

Example:

10

offset
number
default:0

Number of items to skip

direction
string
default:both

direction of payment (incoming, outgoing, both)

sort
string
default:desc

sort order (asc, desc)

Response

200 - application/json

Payments associated with a specific address, including incoming and outgoing movements.

total
number
required
payments
object[]
required